Bug 671588 - Compliance Assistant incorrectly chooses "personal" pool instead of subpool for best subscription match
Summary: Compliance Assistant incorrectly chooses "personal" pool instead of subpool f...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager
Version: 6.1
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: rc
: ---
Assignee: Bryan Kearney
QA Contact: John Sefler
URL:
Whiteboard:
Depends On:
Blocks: Entitlement-Beta
TreeView+ depends on / blocked
 
Reported: 2011-01-21 23:16 UTC by John Sefler
Modified: 2013-01-10 10:49 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-19 13:39:08 UTC
Target Upstream Version:


Attachments (Terms of Use)
demonstration of what's wrong in compliance assistant when using entitlement beta personal account (89.03 KB, image/png)
2011-01-21 23:17 UTC, John Sefler
no flags Details
error resulting from clicking Subscribe in the compliance assistant - Note that the error is correct! (14.41 KB, image/png)
2011-01-21 23:19 UTC, John Sefler
no flags Details
This screenshot shows that the compliance screen correctly presented the personal subpool as a choice for compliace (as evidenced by quantity of 10) (52.46 KB, image/png)
2011-02-02 21:34 UTC, John Sefler
no flags Details
screenshot of successful compliance after running "Become Compliant" and subscribing to the suggested personal subpool. (66.30 KB, image/png)
2011-02-02 21:41 UTC, John Sefler
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2011:0611 normal SHIPPED_LIVE new package: subscription-manager 2011-05-18 17:56:21 UTC

Description John Sefler 2011-01-21 23:16:00 UTC
Description of problem:
On a fresh install of the latest Entitlement Beta Rhel compose (http://download.devel.redhat.com/devel/candidate-trees/RHEL6.1-20110121.0/), register using your own personal account (creation details can be found here: https://bugzilla.redhat.com/show_bug.cgi?id=671180#c0)

I'm not sure that it matters, but during the install from RHEL6.1-20110121.0 I chose "Desktop" and checked all of the Add-On products to install.

I started up subscription-manager-gui and registered using my personal entitlement beta user account.

I clicked "Become Compliant" and checked one or more of the products.

The Subscription Name that was automatically loaded that "...covers the products selected..." was:
Red Hat Enterprise Linux Server Entitlement Beta for Certified Engineers and System Administrators - NOT FOR SALE

All looks good until you scroll the product name to the right and see that "0 of 1" subscriptions are available.

Problem.... ^ That's the personal pool and not the subpool that actually covers the products selected.

Hitting Subscribe will throw an error stating that I am of the wrong consumer type to subscribe to the personal subscription (which is correct!).  Compliance Assistant needs to offer me the subpool.

See attached screenshots...



Version-Release number of selected component (if applicable):
[root@jsefler-betaqa-1 product]# rpm -qa | grep subscription-manager
subscription-manager-firstboot-0.93.14-1.el6.x86_64
subscription-manager-0.93.14-1.el6.x86_64
subscription-manager-gnome-0.93.14-1.el6.x86_64

Comment 1 John Sefler 2011-01-21 23:17:41 UTC
Created attachment 474707 [details]
demonstration of what's wrong in compliance assistant when using entitlement beta personal account

Comment 2 John Sefler 2011-01-21 23:19:01 UTC
Created attachment 474708 [details]
error resulting from clicking Subscribe in the compliance assistant - Note that the error is correct!

Comment 4 James Bowes 2011-02-01 14:06:31 UTC
fixed in git subscription-manager. also needs the fix for bug 665118 on the server side

Comment 6 John Sefler 2011-02-02 16:43:53 UTC
VERIFYING fix in version....
[root@jsefler-betaqa-1 product]# rpm -qa | grep subscription-manager
subscription-manager-firstboot-0.93.15-1.git.10.0f22d43.el6.x86_64
subscription-manager-0.93.15-1.git.10.0f22d43.el6.x86_64
subscription-manager-gnome-0.93.15-1.git.10.0f22d43.el6.x86_64

[root@jsefler-betaqa-1 product]# egrep "hostname|port" /etc/rhsm/rhsm.conf
# Server hostname:
hostname=subscriptions.rhn.webqa.redhat.com
# Server port:
port=443
proxy_hostname=
# port for http proxy server
proxy_port=
[root@jsefler-betaqa-1 product]# 

[root@jsefler-betaqa-1 product]# curl -k -u foo:bar https://subscriptions.rhn.webqa.redhat.com:443/subscription/status
{"version":"0.1.32","result":true,"release":"1%{?dist}"}[root@jsefler-betaqa-1 product]#


Starting up the gui...
[root@jsefler-betaqa-1 product]# subscription-manager-gui &
Register my personal entitlement beta user and click "Become Compliant"

See newly attached screenshots below which all look good.


Further verification after subscribing to the suggested become compliance subscription....
[root@jsefler-betaqa-1 product]# subscription-manager list --installed
+-------------------------------------------+
    Installed Product Status
+-------------------------------------------+

ProductName:        	Red Hat Enterprise Linux Load Balancer (for RHEL Entitlement)
Status:             	Subscribed               
Expires:            	2011-07-27               
Subscription:       	81296664592703122        
ContractNumber:     	2117806                  
AccountNumber:      	1407769                  


ProductName:        	Red Hat Enterprise Linux Resilient Storage (for RHEL Entitlement)
Status:             	Subscribed               
Expires:            	2011-07-27               
Subscription:       	81296664592703122        
ContractNumber:     	2117806                  
AccountNumber:      	1407769                  


ProductName:        	Red Hat Enterprise Linux Scalable File System (for RHEL Entitlement)
Status:             	Subscribed               
Expires:            	2011-07-27               
Subscription:       	81296664592703122        
ContractNumber:     	2117806                  
AccountNumber:      	1407769                  


ProductName:        	Red Hat Enterprise Linux High Availability (for RHEL Entitlement)
Status:             	Subscribed               
Expires:            	2011-07-27               
Subscription:       	81296664592703122        
ContractNumber:     	2117806                  
AccountNumber:      	1407769                  


ProductName:        	Red Hat Enterprise Linux Entitlement
Status:             	Subscribed               
Expires:            	2011-07-27               
Subscription:       	81296664592703122        
ContractNumber:     	2117806                  
AccountNumber:      	1407769     

^^^ Note that all the installed products are "Subscribed"

Comment 7 John Sefler 2011-02-02 21:34:05 UTC
Created attachment 476661 [details]
This screenshot shows that the compliance screen correctly presented the personal subpool as a choice for compliace (as evidenced by quantity of 10)

Comment 8 John Sefler 2011-02-02 21:41:09 UTC
Created attachment 476665 [details]
screenshot of successful compliance after running "Become Compliant" and subscribing to the suggested personal subpool.

Comment 9 John Sefler 2011-02-02 21:41:31 UTC
moving to VERIFIED

Comment 10 errata-xmlrpc 2011-05-19 13:39:08 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2011-0611.html


Note You need to log in before you can comment on or make changes to this bug.